[tool.poetry]
name = "clinical-data-service"
version = "0.6.7"
description = "Service for managing information on Cases and associated WSI slides"
authors = [
    "Tobias Küster <tobias.kuester@dai-labor.de>",
    "Christoph Jansen <Christoph.Jansen@charite.de>",
]
license = "MIT"

[tool.poetry.dependencies]
python = "^3.12"
fastapi = "^0.115.0"
pydantic = { extras = ["dotenv"], version = "^2.0.0" }
typer = "^0.15.0"
asyncpg = "^0.30.0"
uvicorn = "^0.34.0"
pydantic-settings = "^2.0.2"
pyzmq = "^26.0.0"
zipfly = "^6.0.5"

[tool.poetry.scripts]
cdsctl = 'clinical_data_service.ctl.main:main'

[tool.poetry.group.dev.dependencies]
black = { version = "^25.0.0", allow-prereleases = true }
tifffile = "^2023.12.9"
numpy = "^2.0.0"
pillow = "^11.0.0"
pytest = "^8.0.2"
isort = "^6.0.0"
pycodestyle = "^2.11.1"
pylint = "^3.1.0"
requests = "^2.31.0"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"

[tool.black]
line-length = 120

[tool.isort]
line_length = 120
profile = "black"
multi_line_output = 3
include_trailing_comma = true

[tool.pylint."MASTER"]
ignored-modules = ["pydantic", "psycopg2.errors"]

[tool.pylint."MESSAGES CONTROL"]
max-line-length = 120
disable = "R,C,W0613,E0213,W1514,W0511,W0718"
